define([
  'angular',
  'lodash',
  'config'
],
function (angular, _, config) {
  'use strict';

  var module = angular.module('grafana.controllers');

  module.controller('tsqueryCtrl', function($scope, $sce, templateSrv, $q) {

    $scope.init = function() {
      // TODO Is this a good default
      $scope.target.target = $scope.target.target || 'select cpu_percent_across_hosts where category = CLUSTER';
    };

    $scope.targetTextChanged = function() {
      $scope.get_data();
    };

    $scope.moveMetricQuery = function(fromIndex, toIndex) {
      _.move($scope.panel.targets, fromIndex, toIndex);
    };
  });

});
